class_name PlayerStateMachine
extends StateMachine

@onready var player: Player = get_owner()

func _on_player_area_entered(area: Area2D) -> void:
	player.set_deferred("monitoring", false)
	switch_state($PlayerStateFailure)
